/*
 * RMILocalInterface.java
 *
 * Created on 3. kvten 2004, 16:23
 */

package SOFA.SOFAnet.Local.RMI;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * "Local interface" of the SOFAnet. This interface is used by SOFA runtime.
 *
 * @author  Ladislav Sobr
 */
public interface RMILocalInterface extends Remote
{
  int acquireComponent(String componentFullName) throws RemoteException;
  int releaseComponent(String componentFullName) throws RemoteException;
  int obtainMissingComponent(String componentFullName) throws RMILocalException, RemoteException;
}
