/**
 * CNInOut2Client.java is a part of the SOFA project.
 * This file was created by pepan on 16.4.2003.
 */
package SOFA.SOFAnode.InOut.Connector;

import SOFA.SOFAnode.InOut.Bundle;
import SOFA.SOFAnode.InOut.InOutException;

/**
 * @author Petr Panuska
 */
public interface CNInOut2Client {
//  public void obtainComponent (String fullName, String sofanode) throws InOutException;

//  public void distributeComponent (String fullName, String[] sofanodes) throws InOutException;

  public void obtain (String[] offers, java.lang.String[] components, String sofaNode) throws InOutException;

  public void distribute (String[] offers, java.lang.String[] components, String[] sofaNodes) throws InOutException;

  public void obtainOffers (String[] offers, String sofaNode) throws InOutException;

  public void distributeOffers (String[] offers, String[] sofaNodes) throws InOutException;

  public void obtainComponents (String[] components, String sofaNode) throws InOutException;

  public void distributeComponents (String[] components, String[] sofaNodes) throws InOutException;

  public Bundle list ();
}
