/* $Id: CompBindType.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
 
class CompBindType extends CompObjectIm {
  String name;
  List exprs;

  public CompBindType(String name) {
    super(ObjectsKind.o_BindType);
    this.name = name;
    exprs = new List();
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    exprs.toFirst();
    for(int i=0;i<exprs.size();i++) {
      if (!CompExprOper.testPropInExpr(props, ((CompExprOper) exprs.aktual()).nameProp(rep)))
        throw new CDLExceptCheck("Unknown property");
      exprs.toNext();
    }
  }
}
