/* $Id: CompConstant.java,v 1.1.1.1 2003/02/11 16:19:40 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
 
class CompConstant extends CompContainedIm {
  public CompType type;
  public CompExprOper expr;

  public CompConstant(ID id, CompContainer parent, CompRepository rep, CompType t, CompExprOper o) {
    super(ObjectsKind.o_Constant, id, parent, rep);
    type = t;
    expr = o;
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    if (type.objectKind() == ObjectsKind.o_Fixed) {
      ((CompFixed) type).digits = new CompExprInteger(0);
      ((CompFixed) type).scale = new CompExprInteger(0);
    }
    if (!CompExprOper.testPropInExpr(props, expr.nameProp(rep)))
      throw new CDLExceptCheck("Unknown property");
    type.checkConsist(props,rep);
  }
}
