/* $Id: CompTypedef.java,v 1.2 2004/05/20 14:23:51 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import SOFA.SOFAnode.Made.TIR.CDLRepository;
import SOFA.SOFAnode.Made.TIR.CDLType;

class CompTypedef extends CompContainedContainerIm implements CompType {
  public CompType type;
  
  public CompTypedef(ID id, CompContainer in, CompRepository inRep, CompType type) {
    super(ObjectsKind.o_Typedef, id, in, inRep);
    this.type = type;
  }

  public void checkConsist(EnumList props, CompRepository rep) throws CDLExceptCheck, CDLExceptLock, CDLExceptRemote {
    type.checkConsist(props,rep);
  }

  /** from CompType */
  public CDLType toNormal(CDLRepository newRep) throws CDLExceptToNormal {
    // never call this
    throw new CDLExceptToNormal("It should never throw");
  }
}
