/* $Id*/
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Represent absolute name of objects in repository */
public interface AbsoluteName extends Remote {
  /** AbsoluteName without last element */
  public AbsoluteName parent() throws RemoteException;
  /** String representation of AbsoluteName */
  public String name() throws RemoteException;
  /** number of elements of path */
  public int size() throws RemoteException;
  /** i-th element (first == 0) */
  public String elementAt(int i) throws RemoteException;
  /** test, if two absolute names are equal */
  public boolean isEqual(AbsoluteName an) throws RemoteException;
}
