/* $Id: AttrMode.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.Remote;
import java.rmi.RemoteException;

/** Mode of the <i>CDL interface</i> attributes */
public interface AttrMode extends Remote {
  /** Normal (read/write) attribute. */
  public static final int ATTR_NORMAL = 0;
  /** Readonly attribute. */
  public static final int ATTR_READONLY = 1;

  public int value() throws RemoteException;
}
