/*
 * $Id: SimpleState.java,v 1.4 2005/07/08 12:04:12 kofron Exp $
 * 
 * Copyright 2004
 *    Distributed Systems Research Group
 *    Department of Software Engineering
 *    Faculty of Mathematics and Physics
 *    Charles University, Prague
 *
 * Copyright 2005
 *    Formal Methods In Software Engineering Group
 *    Institute of Computer Science
 *    Academy of Sciences of the Czech Republic
 * 
 * This code was developed by Jan Kofron <kofron@nenya.ms.mff.cuni.cz>
 */


package SOFA.SOFAnode.Util.DFSRChecker.state;

/**
 * The class represents a state of a simple automaton. 
 */
public class SimpleState extends State {

    /** Creates a new instance of SimpleState */
    public SimpleState(int state) {
        this.state = state;
        
    }

    /**
     * @see SOFA.SOFAnode.Util.objectweb.fractal.behprotocols.checker.state.State#createSignature()
     */
    protected void createSignature() {
        signature.set(0, state != 0);
    }

    /**
     * the number of the state
     */
    final public int state;


}