/*
 * JIfaceCNCORBA.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Actions;

import SOFA.Connector.EEG.CodeWriter.CDL2IDL2JavaMapping;
import SOFA.Connector.EEG.CodeWriter.CDL2JavaMapping;
import SOFA.Connector.EEG.CodeWriter.JWriterDirectorException;
import SOFA.SOFAnode.Made.TIR.ExceptionDef;
import SOFA.SOFAnode.Made.TIR.OperationDef;
import SOFA.SOFAnode.Made.TIR.ParamDescr;
import SOFA.SOFAnode.Made.TIR.ParamMode;
import SOFA.SOFAnode.Made.TIR.TIRExceptLock;

/**
 *
 * @author  ghort
 * @version 
 */
public class JIfaceCNCORBA {
	public static String targetCallParams(OperationDef method) throws JWriterDirectorException {
		try {
			StringBuffer ret=new StringBuffer();
			
			int j;
			ParamDescr[] params=method.params();
			for (j=0;j<params.length;j++) {
				if (j>0) {
					ret.append(", ");
				}
				
				int mode=params[j].mode().value();
				if (mode==ParamMode.PARAM_INOUT || mode==ParamMode.PARAM_OUT) {
					ret.append("_corbaholder_");
				}
				ret.append(params[j].name());
			}
			if (j>0) {
				ret.append(", ");
			}
			ret.append("thr_id");
			return ret.toString();
		} catch (java.rmi.RemoteException e) {
			throw new JWriterDirectorException("Cannot access TIR.",e);
		} catch (TIRExceptLock e) {
			throw new JWriterDirectorException("Cannot access TIR.",e);
		}
	}
	
	public static String getMethodDef(OperationDef mt) throws JWriterDirectorException {
		try {
			StringBuffer ret=new StringBuffer(CDL2IDL2JavaMapping.getTypeName(mt.result(),ParamMode.PARAM_IN)+" "+mt.get_identification().name()+"(");
			
			int j;
			ParamDescr[] params=mt.params();
			for (j=0;j<params.length;j++) {
				if (j>0) {
					ret.append(", ");
				}
				ret.append(CDL2IDL2JavaMapping.getTypeName(params[j].type(),params[j].mode().value())+" ");
				
				int mode=params[j].mode().value();
				if (mode==ParamMode.PARAM_INOUT || mode==ParamMode.PARAM_OUT) {
					ret.append("_corbaholder_");
				}
				ret.append(params[j].name());
			}
			if (j>0) {
				ret.append(", ");
			}
			ret.append("String thr_id");
			ret.append(")");
			
			ExceptionDef[] exceptions=mt.exceptions();
			for (j=0;j<exceptions.length;j++) {
				if (j==0) {
					ret.append(" throws ");
				} else {
					ret.append(", ");
				}
				ret.append(CDL2JavaMapping.getAbsoluteName(exceptions[j].get_identification().absolute_name()));
			}
			return ret.toString();
		} catch (Exception e) {
			throw new JWriterDirectorException("Cannot create method declaration.",e);
		}
	}
}
