/*
 * RMIInterfaceGen.java
 *
 * Created on 13. duben 2002, 21:08
 */

package SOFA.Connector.EEG.EEM.Elements;

import SOFA.Connector.EEG.CodeWriter.JWriterDirectorException;
import SOFA.Connector.EEG.EEM.Actions.JIfaceCNRMI;
import SOFA.Connector.EEG.EEM.Actions.JIfaceWriterDirectorBase;
import SOFA.SOFAnode.Made.TIR.OperationDef;

/**
 *
 * @author  ghort
 * @version 
 */
public class RMIInterfaceGen extends JIfaceWriterDirectorBase {

	/** Creates new RMIInterfaceGen */
	public RMIInterfaceGen(String ifaceCDL, SOFA.Connector.Property[] params) {
		super(ifaceCDL,params);
	}

	public String getMethod(OperationDef method) throws JWriterDirectorException {
		return JIfaceCNRMI.getMethodDef(method);
	}

	public String[] getExtends() {
		return new String[] {"java.rmi.Remote"};
	}

        public String getInterfaceBody() throws JWriterDirectorException {
          return 
                "\tString getFcItfName() throws java.rmi.RemoteException;\n"+
                "\tbyte[] getFcItfOwner() throws java.rmi.RemoteException;\n\n";
        }

}
