/*
 * TIRAccess.java
 *
 * Created on 7. duben 2002, 10:23
 */

package SOFA.Connector.TIRAccess;

import java.rmi.Naming;

import SOFA.SOFAnode.Made.TIR.Repository;

/**
 *
 * @author  ghort
 * @version 
 */
public class TIRAccess {

	public static Repository repository;

	public static void openTIR() throws TIRAccessException {
		try {
			System.setSecurityManager(new java.rmi.RMISecurityManager());
			String rmiport = System.getProperty("sofa.rmiport","1099");
			String rmihost = System.getProperty("sofa.rmihost","localhost");
			
			repository = (Repository) Naming.lookup("//"+rmihost+":"+rmiport+"/Repository");
		} catch (Exception e) { 
			throw new TIRAccessException("Cannot access TIR.",e);
		}
	}
}
