/**
 * InOut2InOutSRole.java is a part of the SOFA project.
 * This file was created by pepan on 18.4.2003.
 */
package SOFA.SOFAnode.InOut.Connector;

import SOFA.Connector.RoleBaseImpl;
import SOFA.SOFAnode.InOut.Bundle;
import SOFA.SOFAnode.InOut.InOut2InOut;
import SOFA.SOFAnode.InOut.InOutException;
import SOFA.SOFAnode.TR.ComponentInfo;

/**
 *
 * @author Petr Panuska
 */
public class InOut2InOutSRole extends RoleBaseImpl implements CNInOut2InOut {
  InOut2InOut target;

  public void link (Object target) throws SOFA.Connector.LinkException {
    this.target = (InOut2InOut) target;
  }

  public Bundle pullBundle (ComponentInfo[] descs, ComponentInfo[] comps, boolean inferiors) throws InOutException {
    return target.pullBundle(descs, comps, inferiors);
  }

  public void pushBundle (Bundle bundle) throws InOutException {
    target.pushBundle(bundle);
  }

}
