/* $Id: CompPrimitive.java,v 1.2 2004/05/20 14:23:51 bures Exp $ */
package SOFA.SOFAnode.Made.CDL;
import java.rmi.RemoteException;

import SOFA.SOFAnode.Made.TIR.CDLRepository;
import SOFA.SOFAnode.Made.TIR.CDLType;
import SOFA.SOFAnode.Made.TIR.TIRExceptCreate;

class CompPrimitive extends CompObjectIm implements CompType {
  public int kind;
  public CompPrimitive(int kind) {
    super(ObjectsKind.o_Primitive);
    this.kind = kind;
  }

  public CDLType toNormal(CDLRepository newRep) throws CDLExceptRemote, CDLExceptToNormal {
    try {
      return newRep.get_primitive(kind);
    } catch (RemoteException e) {
      throw new CDLExceptRemote("Remote exception occured: "+e.getMessage());
    } catch (TIRExceptCreate e) {
      throw new CDLExceptToNormal("Can't get primitve type\n"+e.getMessage());
    }
  }

  public void checkConsist(EnumList props, CompRepository rep) {}
}
