/* $Id: AModuleDef.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */
package SOFA.SOFAnode.Made.TIR;
import java.rmi.RemoteException;

/** Interface for the architecture modules. */
public interface AModuleDef extends Container, Contained {
  /** Create new amodule in this amodule. */
  public AModuleDef create_amodule(Identification id) throws RemoteException, TIRExceptCreate, TIRExceptLock;
  /** Create new architecture in this amodule. */
  public ArchitectureDef create_architecture(Identification id, FrameDef frame, boolean system) throws RemoteException, TIRExceptCreate, TIRExceptLock;
}
