/* $Id: PrimitiveDefImpl.java,v 1.2 2004/05/20 14:23:52 bures Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

import SOFA.SOFAnode.Made.TIR.DefinitionKind;
import SOFA.SOFAnode.Made.TIR.PrimitiveDef;
import SOFA.SOFAnode.Made.TIR.PrimitiveKind;
import SOFA.SOFAnode.Made.TIR.StateKind;

public class PrimitiveDefImpl extends UnicastRemoteObject implements PrimitiveDef {
  DefinitionKindImpl defKindImpl;
  PrimitiveKindImpl  primKindImpl;
  StateKindImpl stKindImpl;

  public PrimitiveDefImpl(int p_kind, int state) throws RemoteException {
    defKindImpl = new DefinitionKindImpl(DefinitionKind.dk_Primitive);
    primKindImpl = new PrimitiveKindImpl(p_kind);
    stKindImpl = new StateKindImpl(state);
  }
  
  /* from interface TIRObject */
  public DefinitionKind get_def_kind() throws RemoteException {
    return (DefinitionKind) defKindImpl;
  }

  /* from interface PrimitiveDef */
  public PrimitiveKind kind() throws RemoteException {
    return (PrimitiveKind) primKindImpl;
  }

  /* from interface TIRObject */
  public StateKind get_state() throws RemoteException {
    return (StateKind) stKindImpl;
  }
}
