/* $Id: SIdentification.java,v 1.2 2004/05/20 14:23:52 bures Exp $ */
package SOFA.SOFAnode.Made.TIR.Impl;
import java.rmi.Remote;
import java.rmi.RemoteException;

import SOFA.SOFAnode.Made.TIR.Identification;

public interface SIdentification extends Remote {
  public void tag(String t) throws RemoteException;
  public boolean isLocked() throws RemoteException;
  public long lockFor() throws RemoteException;
  public boolean lock(long lockFor) throws RemoteException;
  public void unlock() throws RemoteException;
  public boolean hasNextVersion() throws RemoteException;
  public void setNextVersion() throws RemoteException; 
  public long nextNumBranch() throws RemoteException;
  public void incNextNumBranch() throws RemoteException;
  public boolean is_short_equal(Identification id) throws RemoteException;
  public boolean is_short_equal(String name, String version) throws RemoteException;
  public boolean is_short_name_equal(Identification id) throws RemoteException;
  public boolean is_short_name_equal(String name) throws RemoteException;
  public String language() throws RemoteException;
}
