/* $Id: Protocol.java,v 1.1.1.1 2003/02/11 16:19:41 bures Exp $ */

package SOFA.SOFAnode.Util;

abstract class Protocol implements Printer {
    
    protected Object element;
    
    public Protocol( Object e ) {
	element = e;
    }
    
    public abstract boolean Restrict( ActionTokenArray a );

    public abstract Machine createMachine();

    public abstract Protocol Copy();
    
    public void Print(int level ) {
	((Printer)element).Print(level);
    }

    public void Print() {
	this.Print(1);
    }

    public Object getElement() {
	return element;
    }

    public Protocol Left() {
	return null;
    }

    public Protocol Right() {
	return null;
    }

    public abstract Protocol getSameType( Object p1, Object p2 );
}